gstreamermm: Gst::ColorBalanceChannel Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::ColorBalanceChannel Class Reference
gstreamermm Interfaces

A class that represents a color balance channel. More...

Inheritance diagram for Gst::ColorBalanceChannel:
[legend]
Collaboration diagram for Gst::ColorBalanceChannel:
[legend]

## Public Member Functions
virtual | ~ColorBalanceChannel ()
GstColorBalanceChannel* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalanceChannel* | gobj () const
| Provides access to the underlying C GObject. More...
GstColorBalanceChannel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this channel. More...
int | get_min_value () const
| Get the minimum valid value for this channel. More...
int | get_max_value () const
| Get the maximum valid value for this channel. More...
Glib::SignalProxy1< void, int > | signal_value_changed ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
virtual void | on_value_changed (int value)
| This is a default handler for the signal signal_value_changed(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::ColorBalanceChannel > | wrap (GstColorBalanceChannel* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A class that represents a color balance channel.

## Constructor & Destructor Documentation

virtual Gst::ColorBalanceChannel::~ColorBalanceChannel | ( |  | ) |
| virtual

## Member Function Documentation

Glib::ustring Gst::ColorBalanceChannel::get_label | ( |  | ) | const

Get a string containing a descriptive name for this channel.

int Gst::ColorBalanceChannel::get_max_value | ( |  | ) | const

Get the maximum valid value for this channel.

int Gst::ColorBalanceChannel::get_min_value | ( |  | ) | const

Get the minimum valid value for this channel.

static GType Gst::ColorBalanceChannel::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gst::ColorBalanceChannel::on_value_changed | ( | int | value | ) |
| protectedvirtual

This is a default handler for the signal signal_value_changed().

Glib::SignalProxy1< void,int > Gst::ColorBalanceChannel::signal_value_changed | ( |  | ) |

Slot Prototype:
  `void on_my_value_changed(int value)`

Fired when the value of the indicated channel has changed.

Parameters

  value | The new value.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::ColorBalanceChannel > wrap | ( | GstColorBalanceChannel * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/colorbalancechannel.h